Bug 196624 - Review Request: perl-PerlIO-via-symlink - PerlIO layers for creating symlinks
Review Request: perl-PerlIO-via-symlink - PerlIO layers for creating symlinks
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 196629
  Show dependency treegraph
 
Reported: 2006-06-25 22:01 EDT by Ian Burrell
Modified: 2008-06-12 11:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-29 02:45:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Burrell 2006-06-25 22:01:48 EDT
Spec URL: http://znark.com/fedora/perl-PerlIO-via-symlink.spec
SRPM URL: http://znark.com/fedora/perl-PerlIO-via-symlink-0.05-2.src.rpm
Description: The PerlIO layer symlink allows you to create a symbolic link by writing to the file handle.

It is required by perl-SVK.
Comment 2 Jason Tibbitts 2006-06-28 20:52:07 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   bf33533dba6a48eb459a15df15c8415f  PerlIO-via-symlink-0.05.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(PerlIO::via::symlink) = 0.05
   perl-PerlIO-via-symlink = 0.05-3.fc6
  =
   perl >= 0:5.008
   perl(:MODULE_COMPAT_5.8.8)
   perl(Errno)
   perl(Symbol)
   perl(strict)
   perl(warnings)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=10,  0 wallclock secs ( 0.05 cusr +  0.02 csys =  0.07 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 3 Ian Burrell 2006-06-29 02:45:06 EDT
Built for devel.
Comment 4 Ian Burrell 2008-06-11 20:32:47 EDT
Package Change Request
======================
Package Name: perl-PerlIO-via-symlink
New Branches: EL-4 EL-5
Comment 5 Kevin Fenzi 2008-06-12 11:58:21 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.